Class | WSDL::SOAP::DriverCreator
In: | wsdl/soap/driverCreator.rb
Parent: | Object

### Methods

dump new

### Included Modules

ClassDefCreatorSupport

### Attributes

definitions | [R] |

### Public Class methods

new(definitions)

[Source]

    # File wsdl/soap/driverCreator.rb, line 25
      def initialize(definitions)
        @definitions = definitions
      end

### Public Instance methods

dump(porttype = nil)

[Source]

    # File wsdl/soap/driverCreator.rb, line 29
      def dump(porttype = nil)
        if porttype.nil?
          result = ""
          @definitions.porttypes.each do |type|
            result << dump_porttype(type.name)
            result << "\n"
          end
        else
          result = dump_porttype(porttype)
        end
        result
      end

[Validate]